热点:

    Bitcoin Core曝高危阻断服务漏洞 已被修复

      [  中关村在线 原创  ]   作者:郑伟

      目前全球流行的比特币客户端程序Bitcoin Core于本周曝出了一个高危阻断服务漏洞(编号为CVE-2018-17144),由于其可能破坏整个比特币生态体系,因此属于高危漏洞。所幸该客户端已放出了Bitcoin Core 0.16.3版本来修复此漏洞,建议使用者尽快更新。

    Bitcoin Core曝高危阻断服务漏洞 已被修复
    Bitcoin Core曝出高危阻断服务漏洞

      实际上,比特币采用的是P2P网络,因此每个安装客户端程序的用户都会成为一个节点,用来确保每笔比特币交易满足区块链的运行规则。据统计,比特币网络现有9614个节点,但当中有9123个节点都在使用Bitcoin Core,占比接近95%。

         鉴于Bitcoin Core的代表性,一旦其出现漏洞,危害性就会极大,必将影响整个比特币网络的运作。

      那么上述漏洞是如何触发的呢?据分析,比特币挖矿者会通过扩大算力来争取交易区块的记录权,然后将获得的交易区块不断地加入到区块链上,进而获得比特币的奖励。在此种机制下,如果挖矿者建立一个含有重复交易的恶意区块,继而将它传送至比特币网络,便会触发CVE-2018-17144漏洞。这时收到该恶意区块的Bitcoin Core并不会将它视为无效而拒绝它,反而会引发整个区块链体系的崩溃。

      据了解,CVE-2018-17144漏洞可对Bitcoin Core 0.14.0至0.16.2之间的版本产生影响,因此为了安全,用户应尽快升级至最新的Bitcoin Core 0.16.3。

      此外,以Bitcoin Core代码为基础的莱特币(Litecoin)也在本周修补了相同漏洞。

    本文属于原创文章,如若转载,请注明来源:Bitcoin Core曝高危阻断服务漏洞 已被修复http://safe.zol.com.cn/698/6988216.html

    safe.zol.com.cn true http://safe.zol.com.cn/698/6988216.html report 1153   目前全球流行的比特币客户端程序Bitcoin Core于本周曝出了一个高危阻断服务漏洞(编号为CVE-2018-17144),由于其可能破坏整个比特币生态体系,因此属于高危漏洞。所幸该客户端已放出了Bitcoin Core 0.16.3版本来修复此漏洞,建议使用者尽快更新。Bitcoin Core曝出高...
    • 猜你喜欢
    • 最新
    • 相关
    推荐经销商
    投诉欺诈商家: 400-688-1999
    • 北京
    • 上海
    周关注排行榜
    • 防火墙
    • UTM
    • 上网行为
    • 防毒墙
    推荐问答
    提问
    0

    下载ZOL APP
    秒看最新热品